# class TclTkImage

class TclTkImage: tcl/tk images

### Public Class Methods

new(interp, t, *args) click to toggle source

initialize(interp, t, *args):

      generating image is done by TclTkImage.new()
      destroying is done by image delete (inconsistent, sigh)
    interp: interpreter(TclTkInterpreter)
    t: image type (photo, bitmap, etc.)
    *args: command argument

Calls superclass method TclTkObject.new

    # File lib/tcltk.rb, line 358
    def initialize(interp, t, *args)
      # auto-generate tcl/tk representation
      exp = TclTk._newname("i_")
      # initialize TclTkObject
      super(interp._tcltkip(), exp)
      # generate image
      res = @ip._eval_args("image create", t, exp, *args)
      fail("can't create Image") if res != exp
    end